Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.jmx.builder
[Groovy] Class JmxBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Binding
              groovy.util.FactoryBuilderSupport
                  groovy.jmx.builder.JmxBuilder

    class JmxBuilder
    extends FactoryBuilderSupport

This is JmxBuilder's factory builder class. It is the parent node to all other children nodes supported by JmxBuilder.

Authors:
  Vladimir Vivien

Field Summary

Fields inherited from class FactoryBuilderSupport
CHILD_BUILDER, CURRENT_BUILDER, CURRENT_FACTORY, CURRENT_NAME, CURRENT_NODE, OWNER, PARENT_BUILDER, PARENT_CONTEXT, PARENT_FACTORY, PARENT_NAME, PARENT_NODE, SCRIPT_CLASS_NAME, attributeDelegates, autoRegistrationComplete, autoRegistrationRunning, explicitMethods, explicitProperties, methodMissingDelegate, postInstantiateDelegates, postNodeCompletionDelegates, preInstantiateDelegates, propertyMissingDelegate, registrationGroup, registrationGroupName

Constructor Summary
`JmxBuilder()`
`JmxBuilder(javax.management.MBeanServerConnection svrConnection)`

Method Summary
`java.lang.String` | `getDefaultJmxNameDomain()`
`java.lang.String` | `getDefaultJmxNameType()`
`javax.management.MBeanServerConnection` | `getMBeanServer()`
`java.lang.String` | `getMode()`
`protected void` | `registerFactories()`
`protected Factory` | `resolveFactory(java.lang.Object name, java.util.Map attributes, java.lang.Object value)`
`void` | `setDefaultJmxNameDomain(java.lang.String domain)`
`void` | `setDefaultJmxNameType(java.lang.String type)`
`void` | `setMBeanServer(javax.management.MBeanServerConnection svr)`
`void` | `setMode(java.lang.String mode)`

Methods inherited from class FactoryBuilderSupport
addAttributeDelegate, addDisposalClosure, addPostInstantiateDelegate, addPostNodeCompletionDelegate, addPreInstantiateDelegate, autoRegisterNodes, build, build, build, checkExplicitMethod, checkValueIsNull, checkValueIsType, checkValueIsTypeNotString, createNode, dispathNodeCall, dispose, getAttributeDelegates, getChildBuilder, getContext, getContextAttribute, getContexts, getContinuationData, getCurrent, getCurrentBuilder, getCurrentFactory, getCurrentName, getExplicitMethods, getExplicitProperties, getFactories, getLocalExplicitMethods, getLocalExplicitProperties, getLocalFactories, getMethodMissingDelegate, getName, getNameMappingClosure, getParentContext, getParentFactory, getParentName, getParentNode, getPostInstantiateDelegates, getPostNodeCompletionDelegates, getPreInstantiateDelegates, getProperty, getPropertyMissingDelegate, getProxyBuilder, getRegistrationGroupItems, getRegistrationGroups, getVariable, getVariables, handleNodeAttributes, invokeMethod, invokeMethod, newContext, nodeCompleted, popContext, postInstantiate, postNodeCompletion, preInstantiate, registerBeanFactory, registerBeanFactory, registerExplicitMethod, registerExplicitMethod, registerExplicitProperty, registerExplicitProperty, registerFactory, registerFactory, removeAttributeDelegate, removePostInstantiateDelegate, removePostNodeCompletionDelegate, removePreInstantiateDelegate, reset, resolveExplicitMethod, resolveExplicitProperty, resolveFactory, restoreFromContinuationData, setClosureDelegate, setMethodMissingDelegate, setNameMappingClosure, setNodeAttributes, setParent, setProperty, setPropertyMissingDelegate, setProxyBuilder, setVariable, withBuilder, withBuilder, withBuilder

Methods inherited from class Binding
getProperty, getVariable, getVariables, hasVariable, setProperty, setVariable

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### JmxBuilder

    JmxBuilder()

### JmxBuilder

    JmxBuilder(javax.management.MBeanServerConnection svrConnection)

Method Detail

### getDefaultJmxNameDomain

    java.lang.String getDefaultJmxNameDomain()

### getDefaultJmxNameType

    java.lang.String getDefaultJmxNameType()

### getMBeanServer

    javax.management.MBeanServerConnection getMBeanServer()

### getMode

    java.lang.String getMode()

### registerFactories

    protected void registerFactories()

### resolveFactory

    protected Factory resolveFactory(java.lang.Object name, java.util.Map attributes, java.lang.Object value)

### setDefaultJmxNameDomain

    void setDefaultJmxNameDomain(java.lang.String domain)

### setDefaultJmxNameType

    void setDefaultJmxNameType(java.lang.String type)

### setMBeanServer

    void setMBeanServer(javax.management.MBeanServerConnection svr)

### setMode

    void setMode(java.lang.String mode)

Groovy Documentation